# Models

## The JobApplicationHRISResponse object

```json
{"openapi":"3.0.4","info":{"title":"Flo Recruit API","version":"1.0.0"},"components":{"schemas":{"JobApplicationHRISResponse":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"candidateId":{"type":"string","format":"uuid"},"email":{"type":"string","format":"email"},"phone":{"type":"string"},"applicationId":{"type":"string","format":"uuid"},"jobTitle":{"type":"string"},"jobId":{"type":"string","format":"uuid"},"department":{"type":"string"},"officeLocation":{"type":"string"},"employmentType":{"type":"string"},"jobApplicationStatuses":{"type":"array","items":{"$ref":"#/components/schemas/JobApplicationStatus"}},"position":{"type":"string"},"requisitionId":{"type":"string"},"startDate":{"type":"string","format":"date"},"salary":{"type":"integer"},"jobApplicationLastStatusUpdate":{"type":"string","format":"date-time"}}},"JobApplicationStatus":{"type":"object","properties":{"statusName":{"type":"string"},"statusUpdatedAt":{"type":"string","format":"date-time"}}}}}}
```

## The JobApplicationStatus object

```json
{"openapi":"3.0.4","info":{"title":"Flo Recruit API","version":"1.0.0"},"components":{"schemas":{"JobApplicationStatus":{"type":"object","properties":{"statusName":{"type":"string"},"statusUpdatedAt":{"type":"string","format":"date-time"}}}}}}
```

## The inline\_response\_400 object

```json
{"openapi":"3.0.4","info":{"title":"Flo Recruit API","version":"1.0.0"},"components":{"schemas":{"inline_response_400":{"type":"object","properties":{"error":{"type":"string"}}}}}}
```

## The inline\_response\_401 object

```json
{"openapi":"3.0.4","info":{"title":"Flo Recruit API","version":"1.0.0"},"components":{"schemas":{"inline_response_401":{"type":"object","properties":{"error":{"type":"string"}}}}}}
```

## The inline\_response\_429 object

```json
{"openapi":"3.0.4","info":{"title":"Flo Recruit API","version":"1.0.0"},"components":{"schemas":{"inline_response_429":{"type":"object","properties":{"error":{"type":"string"}}}}}}
```

## The inline\_response\_500 object

```json
{"openapi":"3.0.4","info":{"title":"Flo Recruit API","version":"1.0.0"},"components":{"schemas":{"inline_response_500":{"type":"object","properties":{"error":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.joinflo.com/api-reference/hris-api/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
